Skip to content

Get position in each category for user

GET
/users/{userkey}/categories
curl --request GET \
--url https://api.ethos.network/api/v2/users/example/categories

Returns the user’s leaderboard rank within each category they belong to. Returns 404 if the userkey is unknown.

userkey
required
string

Successful response

Media typeapplication/json
object
categoryRanks
required
Array<object>
object
rank
required
number
category
required
object
id
required
number
slug
string
>= 1 characters <= 50 characters
name
required
string
description
string
showOnLeaderboard
required
boolean
showInDailyService
required
boolean
showInDailyBounty
required
boolean
bannerImageUrl
string format: uri
userCount
required
number

Example generated

{
"categoryRanks": [
{
"rank": 1,
"category": {
"id": 1,
"slug": "example",
"name": "example",
"description": "example",
"showOnLeaderboard": true,
"showInDailyService": true,
"showInDailyBounty": true,
"bannerImageUrl": "https://example.com",
"userCount": 1
}
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}